# build configuration of gtool4 (autoconf)
# (C) Copyright by GFD Dennou Club, 2000-2001.  All rights reserved.
#
# 2001/06/19  ODAKA, Masatsugu
# 2001-12-07  TOYODA Eizi
# 2001-12-21  TAKEHIRO Shin-ichi

# for Debian install
DESTDIR = 

# Fortran コンパイラ
FC=@FC@

# コンパイル時・リンク時に必要なフラグ
SYSFFLAGS=@SYSFFLAGS@
# リンク時に必要なフラグ
SYSLDFLAGS=@SYSLDFLAGS@
# リンク時に必要なライブラリ
SYSLDLIBS=@SYSLDLIBS@ 

# モジュール情報の渡し方 (std.mod, HP.mod, fqs.mod, intel.d, hitachi.f90)
F90MODTYPE=@F90MODTYPE@

# モジュール情報ファイルの拡張子 (.mod .d .f90 のどれかになる)
MODEXT=@MOD@
# make clean 時に使用するモジューリ情報ファイル指定
# (F90MODTYPE = hitachi.f90 のときは何も消してはならない)
MODS=@CLEAN_MODS@

prefix=@prefix@
exec_prefix=@exec_prefix@
# モジュール情報エディタ (F90MODTYPE=intel.d の時に利用される)
IFCCEM=@IFCCEM@

# DEST_LIB  : set directory to which the library libgtool4.a is installed
#             (gtool4 ライブラリインストールディレクトリの指定)
DEST_LIB=$(DESTDIR)@libdir@

# DEST_INC  : directory to which the module files are installed
#             (gtool4 モジュールインストールディレクトリの指定)
DEST_INC=$(DESTDIR)@includedir@

# DEST_BIN  : directory to which the executable files are installed
#             (gtool4 実行ファイルインストールディレクトリの指定)
DEST_BIN=$(DESTDIR)@bindir@

# DEST_DOC  : directory to which the gtool4 documantation files are installed
#             (gtool4 ドキュメントァイルインストールディレクトリの指定)
DEST_DOC=$(DESTDIR)@docdir@

# AR        : Library builder specification
#             (アーカイブコマンドの指定)
AR=ar rf

# SYSDEPARG, SYSDEPABORT: sysdem dependent routine (usually "DCL" works)
SYSDEPARG=@SYSDEPARG@
SYSDEPABORT=@SYSDEPABORT@

# suffixe rules(サフィックスルール)
#
.SUFFIXES:
.SUFFIXES: .f90 .o

.f90.o:
	$(FC) -c $(INCLUDE_GT) $(FFLAGS) $(SYSFFLAGS) $(INCLUDES) $<
